Subject: RE: [Mipshop] new charter

From: [email-masked]
Date: Mon, 10 Oct 2005 13:36:56 -0500

Alex,
from your comment I get a feeling that there may be some misunderstanding of what 802.21 defines. 802.21 is in no way trying to define an alternative mobility protocol. It is not in competition with FMIP. 

In terms of the MIIS, it is a set of mechanism to overcome issues like "network selection" where the mobile node today does not have enough information to make an educated decision of which network to select. This is a problem well identified in other fora (e.g. IEEE 802.11 and 3GPP). 

In terms of MIES and MICS, the aspects of relevance to IETF are the remote ES and CS, i.e. events and commands exchanged between the mobile node and an 802.21 function in the network. specifically, for the scenarios of relevance to MIPSHOP, the exchange is between the mobile terminal and a network node implementing the 802.21 functionality. 

Several usage scenarios can be considered. Let me share one example. The WISP of user X owns or controls different wireless access technologies, e.g. 3GPP, 802.11, and 802.16. The WISP wants to exercise control on when the mobile node moves between the different technologies. Some operators are interested in this e.g. for load sharing issues. What 802.21 can provide in this case through ES and CS is a tool to implement such control independently of the mobility protocol used for the actual mobility. The mobile node can e.g. setup an association with the 802.21 function in the network (let me call it MME) when connectivity is setup, providing e.g. connectivity requirements (e.g. type of applications using the connectivity, specific requirements, etc.). The MME can "register" (in terms of 802.21 event registration) with the mobile node for specific remote events (e.g. "report when 802.11 becomes visible"). When an event to which the MME registered takes place, the mobile node reports the event to the MME. The MME may decide that the mobile node shall move to the new access, and the MME issues a command to the mobile node to perform such handoff (potentially providing information to enable the handoff). When receiving the command, this is used in the mobile node as a trigger to setup connectivity over the new link layer and trigger the mobility protocol in use (e.g. FMIP, however ES/CS can be used also with other mobility protocols). As said before, this allows the network to control the handoff between technologies for service providers and scenarios where this is useful.

I agree with the previous comments that we should not make FMIP dependent upon 802.21.

As for having a single document for FMIP and MIIS, I tend to disagree, since MIIS has applicability independently of FMIP.

I also agree that the interactions and dependencies between FMIP and 802.21 shall be described more in detail.

Stefano

> -----Original Message-----
> From: ext Alexandru Petrescu [mailto:[email-masked]]
> Sent: Monday, October 10, 2005 12:28
> To: James Kempf
> Cc: Singh Ajoy-ASINGH1; Petrescu Alexandru-AAP021; Faccin Stefano
> (Nokia-NRC/Dallas); [email-masked]; 
> [email-masked]
> Subject: Re: [Mipshop] new charter
> 
> 
> James Kempf wrote:
> > The problem is that some of the items are needed for FMIP, 
> which is a
> > WG item. I'd like to see a single standard for providing handover
> > related information, not two.
> 
> Right - single IETF doc for doing same thing, not two.
> 
> But I am afraid that the space of possible interactions 
> between FMIP and
> 802.21 protocol has not been mentioned in any detail, at 
> least not here.
> 
> 802.21 happens between STA and AP, or between STA and Server (STAtion
> could be assumed as a MN, "Server" could be assumed as an AR,  "AP" is
> just an AP.)
> 
> But FMIP happens between MN, oAR and nAR.
> 
> FMIP leaves open the choice for distributing subnet info between ARs.
> 802.21 doesn't provide any means for that.
> 
> FMIP ARs periodically beacon PrRtAdvs.  But 802.21 AP or 
> Servers do not
> "beacon" (the messages 802.21 APs send are always in response 
> to a request.)
> 
> 802.21 looks at inter-system handovers, while FMIP does 
> intra-system but
> fast.
> 
> For these reasons, I do not see now what the interactions 
> between 802.21
> and FMIP could be.
> 
> Alex
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop